VERSION 4.00
Begin VB.Form frmPush3D 
   BackColor       =   &H00C0C0C0&
   BorderStyle     =   1  'Fixed Single
   Caption         =   "The Push3D Program"
   ClientHeight    =   3525
   ClientLeft      =   1095
   ClientTop       =   1815
   ClientWidth     =   4095
   Height          =   4215
   Icon            =   "PUSH3D.frx":0000
   Left            =   1035
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   ScaleHeight     =   3525
   ScaleWidth      =   4095
   Top             =   1185
   Width           =   4215
   Begin VB.Timer Timer1 
      Interval        =   250
      Left            =   0
      Top             =   840
   End
   Begin VB.CheckBox chkEnabled 
      BackColor       =   &H00C0C0C0&
      Caption         =   "&Enabled"
      Height          =   255
      Left            =   3000
      TabIndex        =   3
      Top             =   240
      Value           =   1  'Checked
      Width           =   975
   End
   Begin VB.CheckBox chkVisible 
      BackColor       =   &H00C0C0C0&
      Caption         =   "&Visible"
      Height          =   255
      Left            =   1800
      TabIndex        =   2
      Top             =   240
      Value           =   1  'Checked
      Width           =   855
   End
   Begin VB.CheckBox chkSpin 
      BackColor       =   &H00C0C0C0&
      Caption         =   "&Spin"
      Height          =   255
      Left            =   840
      TabIndex        =   1
      Top             =   240
      Width           =   630
   End
   Begin VB.Label lblCounter 
      Alignment       =   2  'Center
      BackColor       =   &H00C0C0C0&
      Caption         =   "0"
      BeginProperty Font 
         name            =   "MS Sans Serif"
         charset         =   0
         weight          =   400
         size            =   29.25
         underline       =   0   'False
         italic          =   0   'False
         strikethrough   =   0   'False
      EndProperty
      Height          =   705
      Left            =   840
      TabIndex        =   5
      Top             =   2760
      Width           =   2535
   End
   Begin Teg3dpLibCtl.Teg3dp pshClickMe 
      Height          =   1695
      Left            =   840
      TabIndex        =   4
      Top             =   840
      Width           =   2535
      _version        =   65536
      _extentx        =   4471
      _extenty        =   2990
      _stockprops     =   78
      caption         =   "&Click Me"
      bevelwidth      =   10
      squarecorners   =   -1  'True
      pictureup       =   "PUSH3D.frx":030A
      picturefocus    =   "PUSH3D.frx":1C14
      picturedisabled =   "PUSH3D.frx":351E
      picturedown     =   "PUSH3D.frx":4E28
   End
   Begin TegoswLibCtl.Tegosw swExit 
      Height          =   630
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Width           =   525
      _version        =   65536
      _extentx        =   926
      _extenty        =   1111
      _stockprops     =   64
      value           =   -1  'True
   End
   Begin VB.Menu mnuFile 
      Caption         =   "&File"
      Begin VB.Menu mnuExit 
         Caption         =   "E&xit"
      End
   End
   Begin VB.Menu mnuHelp 
      Caption         =   "&Help"
      Begin VB.Menu mnuAbout 
         Caption         =   "&About..."
      End
   End
End
Attribute VB_Name = "frmPush3D"
Attribute VB_Creatable = False
Attribute VB_Exposed = False
' All variables must be declared.
Option Explicit

Private Sub chkEnabled_Click()
    
  ' If the chkEnabled check box is checked,
  ' enable the pshClickMe push button. Otherwise,
  ' disable the pshClickMe push button.
  If chkEnabled.Value = 1 Then
     pshClickMe.Enabled = True
  Else
     pshClickMe.Enabled = False
  End If

End Sub
Private Sub chkVisible_Click()
  
  ' If the chkVisible check box is checked,
  ' make the pshClickMe push button visible.
  ' Otherwise, make the pshClickMe push button
  ' invisible.
  If chkVisible.Value = 1 Then
     pshClickMe.Visible = True
  Else
     pshClickMe.Visible = False
  End If

End Sub

Private Sub mnuAbout_Click()

   Dim Title
   Dim Msg
   Dim CR
   
   CR = Chr(13)
   Title = "About the Push3D Program"
   Msg = "This program was written with Visual "
   Msg = Msg + "Basic for Windows, using the "
   Msg = Msg + "TegoSoft 3D Pushbutton OCX control. "
   Msg = Msg + CR + CR
   Msg = Msg + "The TegoSoft 3D Pushbutton OCX control "
   Msg = Msg + "is part of the TegoSoft OCX Control "
   Msg = Msg + "Kit - a collection of various OCX controls. "
   Msg = Msg + CR + CR
   Msg = Msg + "For more information about the "
   Msg = Msg + "TegoSoft OCX Control Kit, contact TegoSoft "
   Msg = Msg + "at:"
   Msg = Msg + CR + CR
   Msg = Msg + "TegoSoft Inc." + CR
   Msg = Msg + "P.O. Box 389" + CR
   Msg = Msg + "Bellmore, NY 11710"
   Msg = Msg + CR + CR
   Msg = Msg + "Phone: (516)783-4824"
   
   MsgBox Msg, vbInformation, Title

End Sub

Private Sub mnuExit_Click()
   
   ' Terminate the program.
   Unload Me
   
End Sub

Private Sub pshClickMe_Click()
    
    Dim Counter
    
    ' Increment the count in the lblCounter label.
    Counter = Val(lblCounter.Caption) + 1
    lblCounter.Caption = Str(Counter)
    
End Sub

Private Sub swExit_Click()
   
   Dim Title
   Dim Question
   Dim Response
  
   ' If the user turned the swExit switch OFF,
   ' confirm that the user wants to exit the
   ' program, and if so, exit the program.
   If swExit.Value = False Then
      Title = "Exit Program"
      Question = "Are you sure you want to exit?"
      Response = MsgBox(Question, vbYesNo + vbQuestion, Title)
      If Response = vbYes Then
         Unload Me
      Else
         swExit.Value = True
      End If
   End If

End Sub

Private Sub Timer1_Timer()
   
   ' If the chkSpin check box is not checked,
   ' terminate this procedure.
   If (chkSpin.Value = 0) Then
      Exit Sub
   End If
   
   ' If the pshClickMe push button is pressed down,
   ' simulate a click of the pshClickMe button.
   If pshClickMe.IsButtonDown = True Then
      pshClickMe_Click
   End If
   
End Sub



